Update workspace settings
curl --request PATCH \
--url https://app.outlit.ai/api/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"defaultTimezone": "America/Los_Angeles"
}
'import requests
url = "https://app.outlit.ai/api/settings"
payload = { "defaultTimezone": "America/Los_Angeles" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({defaultTimezone: 'America/Los_Angeles'})
};
fetch('https://app.outlit.ai/api/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"commandId": "<string>",
"commandVersion": 123,
"correlationId": "<string>",
"result": {
"operationId": "<string>",
"status": "<string>",
"resources": [
{
"type": "<string>",
"id": "<string>"
}
],
"data": {
"settings": {
"defaultTimezone": "<string>"
}
},
"warnings": [
"<string>"
],
"auditId": "<string>"
}
}{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}{
"error": "Invalid credentials"
}{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}{
"error": "Internal server error"
}{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}Platform API
Update workspace settings
Update workspace-level settings used by Outlit agents and automations.
PATCH
/
api
/
settings
Update workspace settings
Authorizations
Outlit API key using the Bearer ok_... format.
Body
application/json
IANA timezone used as the workspace default.
Was this page helpful?
⌘I